
/*
 * moblin-app-installer -- Moblin garage client application.
 * Copyright (c) 2009, Intel Corporation.
 *
 * This program is free software; you can redistribute it and/or modify it
 * under the terms and conditions of the GNU General Public License,
 * version 2, as published by the Free Software Foundation.
 *
 * This program is distributed in the hope it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
 * more details.
 *
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin St - Fifth Floor, Boston, MA 02110-1301 USA.
 *
 * Author: Robert Staudinger <robertx.staudinger@intel.com>
 */

#ifndef MAI_PACKAGE_STATUS_H
#define MAI_PACKAGE_STATUS_H

#include <glib.h>

G_BEGIN_DECLS

typedef enum
{
  MAI_PACKAGE_STATUS_QUEUED_FOR_RESOLVE,   /* Must be lowest. */
  MAI_PACKAGE_STATUS_RESOLVING,
  MAI_PACKAGE_STATUS_AVAILABLE,
  MAI_PACKAGE_STATUS_QUEUED_FOR_INSTALLATION,
  MAI_PACKAGE_STATUS_INSTALLING,
  MAI_PACKAGE_STATUS_INSTALLED,
  MAI_PACKAGE_STATUS_QUEUED_FOR_REMOVAL,
  MAI_PACKAGE_STATUS_REMOVING,
  MAI_PACKAGE_STATUS_ERROR        /* Must be highest. */
} MaiPackageStatus;

G_END_DECLS

#endif /* MAI_PACKAGE_STATUS_H */

