
#include <config.h>

#ifdef HAVE_PACKAGEKIT_GLIB2
 #define I_KNOW_THE_PACKAGEKIT_GLIB2_API_IS_SUBJECT_TO_CHANGE
 #include <packagekit-glib2/packagekit.h>
#else
 #include <packagekit-glib/packagekit.h>
#endif
#include <gtk/gtk.h>

static void
_repo_list_changed_cb (PkControl *control,
                       gpointer   data)
{
  g_debug ("%s()", __FUNCTION__);
}

int
main (int     argc,
      char  **argv)
{
  PkControl *control;

  gtk_init (&argc, &argv);

  control = pk_control_new ();
  g_signal_connect (control, "repo-list-changed",
                    G_CALLBACK (_repo_list_changed_cb), NULL);

  gtk_main ();

  g_object_unref (control);

  return 0;
}

